=====0.37=====
  * 19.10.2007 

MYSQL
   ALTER TABLE `msgs_messages` ADD COLUMN    `resposible` smallint(6) unsigned NOT NULL default '0';

  * 18.10.2007 

MYSQL
  ALTER TABLE `msgs_messages` CHANGE COLUMN plan_date  `plan_date` date NOT NULL default '0000-00-00';
  ALTER TABLE `msgs_messages` ADD COLUMN  `plan_time` time NOT NULL default '00:00:00';
  ALTER TABLE `msgs_chapters` CHANGE `id` `id` smallint(6) unsigned NOT NULL auto_increment;
  ALTER TABLE `msgs_chapters` DROP INDEX chapter;

  * 16.10.2007 
MYSQL

  CREATE TABLE `msgs_admins` (
    `aid` smallint(6) unsigned NOT NULL default '0',
    `chapter_id` int(11) unsigned NOT NULL default '0',
    `priority` tinyint(4) unsigned NOT NULL default '0',
    UNIQUE KEY `aid` (`aid`,`chapter_id`)
  ) TYPE=MyISAM;
  
  CREATE TABLE `msgs_reply` (
    `id` int(11) unsigned NOT NULL auto_increment,
    `main_msg` int(11) unsigned NOT NULL default '0',
    `text` blob NOT NULL,
    `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
    `aid` smallint(6) unsigned NOT NULL default '0',
    `status` tinyint(4) unsigned NOT NULL default '0',
    `caption` varchar(40) NOT NULL default '',
    `ip` int(11) unsigned NOT NULL default '0',
    `uid` int(11) unsigned NOT NULL default '0',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `id` (`id`),
    KEY `main_msg` (`main_msg`)
  ) TYPE=MyISAM;
  
  
  ALTER TABLE `msgs_messages` ADD COLUMN `priority` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE `msgs_messages` ADD COLUMN `lock_msg` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE `msgs_messages` ADD COLUMN `closed_date` DATE NOT NULL DEFAULT '0000-00-00';
  ALTER TABLE `msgs_messages` ADD COLUMN `done_date` DATE NOT NULL DEFAULT '0000-00-00';
  ALTER TABLE `msgs_messages` ADD COLUMN `plan_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';
  ALTER TABLE `msgs_messages` ADD COLUMN `user_read` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';
  ALTER TABLE `msgs_messages` ADD COLUMN `admin_read` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';
  
  ALTER TABLE `msgs_messages` ADD KEY `uid` (`uid`);
  ALTER TABLE `msgs_messages` ADD KEY `chapter` (`chapter`);



  * 10.10.2007
Новые опции:
  $conf{DV_CALLBACK_PREFIX}='4' ;
  $conf{DV_CALLBACK_DENYNUMS}='800'; 
Подробно [[abills:docs:modules:dv:ru|Dv]]

  * 06.10.2007 
MYSQL
  CREATE TABLE `sharing_trafic_tarifs` (
   `id` tinyint(4) NOT NULL default '0',
   `descr` varchar(30) default NULL,
   `nets` text,
   `tp_id` smallint(5) unsigned NOT NULL default '0',
   `prepaid` int(11) unsigned default '0',
   `in_price` double(13,5) unsigned NOT NULL default '0.00000',
   `out_price` double(13,5) unsigned NOT NULL default '0.00000',
   `in_speed` int(10) unsigned NOT NULL default '0',
   `interval_id` smallint(6) unsigned NOT NULL default '0',
   `rad_pairs` text NOT NULL,
   `out_speed` int(10) unsigned NOT NULL default '0',
   `expression` varchar(255) NOT NULL default '',
     UNIQUE KEY `id` (`id`,`tp_id`)
  ) COMMENT='Sharing Traffic Class';


  * 05.10.2007 
MYSQL
  ALTER TABLE web_online ADD column page_index int unsigned NOT NULL Default 0;
  CREATE TABLE `web_users_sessions` (
    `uid` int(11) unsigned NOT NULL default '0',
    `datetime` int(11) unsigned NOT NULL default '0',
    `login` varchar(20) NOT NULL default '',
    `remote_addr` int(11) unsigned NOT NULL default '0',
    `sid` varchar(32) NOT NULL default '',
    PRIMARY KEY  (`sid`),
    UNIQUE KEY `sid` (`sid`)
  ) COMMENT='User Web Sessions';


  * 03.10.2007 
 Доработан [[abills:docs:ipn:ru#traffic2sql|traffic2sql]]. Включена поддержка активности соединения через AMon.
  * 28.09.2007 
MYSQL
   ALTER TABLE tarif_plans DROP PRIMARY KEY;
   ALTER TABLE tarif_plans DROP INDEX id;
   ALTER TABLE tarif_plans ADD COLUMN tp_id int(11) unsigned NOT NULL auto_increment PRIMARY KEY;
   ALTER TABLE tarif_plans ADD KEY (id, module);
   UPDATE tarif_plans SET module='Dv' WHERE module='';

  * 21.09.2007 
MYSQL
  ALTER TABLE tarif_plans ADD COLUMN   `module` varchar(12) NOT NULL default '';

  * 19.09.2007 
 Проверка регистрированных сессий в Linux
  # /usr/local/abills/libexec/billd checkpppd
Изминение даты активизации на текущую при внесении денег на текущую. Дата изминяется только в случае если поле активизации не равно 0000-00-00. Дата закрытия акаунта (EXPIRE) устанавливается в 0000-00-00.
  $conf{payment_chg_activate}=1;

  * 10.09.2007 
MYSQL
  ALTER TABLE voip_calls CHANGE conf_id  conf_id varchar(64) NOT NULL default '';

  * 8.09.2007 
Автоматический вход в личную статистику без ввода логина и пароля
  $conf{PASSWORDLESS_ACCESS}=1;

  * 16.08.2007 
 Смена тарифных  планов в приделах группы\\
 Добавлена возможность включать администраторов в несколько груп\\
 Фильтр негативного депозита. При негативном депозите пользователя пускает в систему но для NAS выдаётся фильтр.\\
 Пперенос неиспользованного траффика с преведущего периода.\\

  * 11.08.2007 
MYSQL
  CREATE TABLE `admins_groups` (
    `gid` smallint(6) unsigned NOT NULL default '0',
    `aid` smallint(5) unsigned NOT NULL default '0',
    KEY `gid` (`gid`,`aid`)
  );
  
  ALTER TABLE users_pi ADD COLUMN  `pasport_num` varchar(16) NOT NULL default '';
  ALTER TABLE users_pi ADD COLUMN  `pasport_date` date NOT NULL default '0000-00-00';
  ALTER TABLE users_pi ADD COLUMN  `pasport_grant` varchar(100) NOT NULL default '';
  
  ALTER TABLE tarif_plans ADD COLUMN `gid` smallint(6) unsigned NOT NULL default '0';
  ALTER TABLE tarif_plans ADD COLUMN `neg_deposit_filter_id` varchar(15) NOT NULL default '';
  
  CREATE TABLE `tp_groups` (
    `id` smallint(6) unsigned NOT NULL auto_increment,
    `name` varchar(20) NOT NULL default '',
    `user_chg_tp` tinyint(1) unsigned NOT NULL default '0',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `name` (`name`)
  ) COMMENT='Tarif Plans Groups';  
  
  ALTER TABLE dhcphosts_networks ADD COLUMN `disable` tinyint(1) unsigned NOT NULL default '0';


  * 30.07.2007
  Возможность переноса неиспользованого трафика преведущих месяцев. Учитывается только трафик с тарифным планом текущего месяца.
MYSQL
  ALTER TABLE tarif_plans ADD COLUMN `traffic_transfer_period` tinyint(4) unsigned NOT NULL default '0';


  * 25.06.2007
MYSQL
  ALTER TABLE  companies ADD COLUMN `contract_id` varchar(10) NOT NULL default '';


  * 11.06.2007
MYSQL
  ALTER TABLE dv_calls change column acct_input_octets acct_input_octets bigint(14) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls change column acct_output_octets acct_output_octets bigint(14) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls change column ex_input_octets ex_input_octets bigint(14) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls change COLUMN ex_output_octets ex_output_octets bigint(14) UNSIGNED NOT NULL DEFAULT '0';

  * 22.05.2007
MYSQL
   alter table nas add column ext_acct tinyint(1) unsigned NOT NULL default '0';

  * 18.05.2007 
MYSQL
   alter table cards_users add   KEY `login` (`login`);



=====0.36=====
  * 4.07.2007

  CREATE TABLE `ipn_traf_detail` (
    `src_addr` int(11) unsigned NOT NULL default '0',
    `dst_addr` int(11) unsigned NOT NULL default '0',
    `src_port` smallint(5) unsigned NOT NULL default '0',
    `dst_port` smallint(5) unsigned NOT NULL default '0',
    `protocol` tinyint(3) unsigned default '0',
    `size` int(10) unsigned NOT NULL default '0',
    `f_time` datetime NOT NULL default '0000-00-00 00:00:00',
    `s_time` datetime NOT NULL default '0000-00-00 00:00:00',
    `nas_id` smallint(5) unsigned NOT NULL default '0',
    `uid` int(11) unsigned NOT NULL default '0'
  ) COMMENT='Ipn detail log traffic class';

  * 4.05.2007
''MySQL''
  ALTER TABLE dhcphosts_hosts CHANGE column block_date expire date NOT NULL default '0000-00-00';


  * 31.03.2007 - Оптимизация
''MySQL''
  ALTER TABLE dv_calls ADD column `acct_input_gigawords` smallint(4) unsigned NOT NULL   default '0';
  ALTER TABLE dv_calls ADD column `acct_output_gigawords` smallint(4) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls ADD column `ex_input_octets_gigawords` smallint(4) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls ADD column `ex_output_octets_gigawords` smallint(4) unsigned NOT NULL default '0';
  
  ALTER TABLE dv_log ADD column `acct_input_gigawords` smallint(4) unsigned NOT NULL default '0';
  ALTER TABLE dv_log ADD column `acct_output_gigawords` smallint(4) unsigned NOT NULL default '0';
  ALTER TABLE dv_log ADD column `ex_input_octets_gigawords` smallint(4) unsigned NOT NULL default '0';
  ALTER TABLE dv_log ADD column `ex_output_octets_gigawords` smallint(4) unsigned NOT NULL default '0';
  
  ALTER TABLE groups DROP key gid;
  ALTER TABLE msgs_messages ADD KEY `uid` (`uid`);

  * 23.03.2007 - добавлена возможность управления SpamAssassin
  * 02.03.2007 - доработка тарифных планов 
''MySQL''
  ALTER TABLE tarif_plans add column reduction_fee tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE tarif_plans add column postpaid_fee tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE dhcphosts_hosts add column comments varchar(250) NOT NULL default '';

  * 02.03.2007 - в [[abills:docs:modules:dv:ru |Dv]] добавлена привязка к порту 
''MySQL''
  ALTER TABLE dv_main add column port int(11) unsigned NOT NULL default '0';

  * 26.02.2007 - Добавлена поддержка [[abills:docs:chillispot:ru|Chillispot]]
  * 26.01.2007 - Регулярные выражения акаунтинга и авторизации [[abills:docs:modules:dv:ru#intervals|Expressions]].
''MySQL''
  ALTER TABLE trafic_tarifs ADD COLUMN expression varchar(255) NOT NULL default '';

  * 26.01.2007 - добавлена возможность рассылки сообщений группам пользователей.
''MySQL''
  ALTER TABLE msgs_messages ADD COLUMN gid smallint(4) unsigned NOT NULL default '0';

  * 22.01.2007 -
''MySQL''
  ALTER TABLE dhcphosts_networks add column `routers` int(11) unsigned NOT NULL default '0';

  * 10.01.2007 - При возникновении определённых событий система может вызывать внешние программы их обработки. 
  $conf{external_useradd}, $conf{external_userdel}, $conf{external_userchange}, $conf{external_payments}, $conf{external_fees}, $conf{external_userdisable}.\\
[[abills:docs:manual:config:ru|Файл настроек]] 

  * 10.01.2007 - Все поля password переведены в BLOB.
''MySQL''
  ALTER TABLE admins change password password BLOB NOT NULL;
  ALTER TABLE nas change mng_password mng_password blob NOT NULL;
  ALTER TABLE users change password password blob NOT NULL;
  ALTER TABLE users_bruteforce change password password blob NOT NULL;

  * 07.01.2007 - [[abills:docs:modules:cards:ru|Cards]] - Добавлено поле дата продажи.
''MySQL''
  ALTER TABLE cards_users add column diller_sold_date date NOT NULL default '0000-00-00';

  * 05.01.2007 - Увеличиваем поле название группы
''MySQL''
  ALTER TABLE groups change name name varchar(30) NOT NULL default '';

  * 02.01.2007 - Добавлена возможность привязывать администратора к конкретной группе пользователей
''MySQL''
  ALTER TABLE admins change column gid gid smallint(4) unsigned NOT NULL default '0';

  * 24.12.2006 - Обновление модуля управления почтовыми акаунтвми

''MySQL''
  ALTER TABLE mail_domains add column transport varchar(128) NOT NULL default '';
  ALTER TABLE mail_domains add column backup_mx tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE mail_boxes change password password blob NOT NULL;

=====0.35=====
  * 18.12.2006 - Обновление карточного модуля
 ''MySQL''
  ALTER TABLE `cards_users` DROP PRIMARY KEY;
  ALTER TABLE `cards_users` DROP INDEX `login`;
  ALTER TABLE `cards_users` change  COLUMN `serial` `number` INTEGER(11) UNSIGNED 
   ZEROFILL NOT NULL   DEFAULT '00000000000';
  ALTER TABLE `cards_users` DROP INDEX `serial`;
  ALTER TABLE `cards_users` ADD COLUMN `serial` VARCHAR(10) NOT NULL default '';
  ALTER TABLE `cards_users` change COLUMN `password` `pin` BLOB NOT NULL;
  ALTER TABLE `cards_users` ADD COLUMN `uid` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE `cards_users` ADD UNIQUE KEY `serial` (`serial`, `number`);
  DROP TABLE `cards_payments`;


  * 13.12.2006 - Доработан модуль Docs. Добавлена возможность выдавать Товарные накладные. \\
 ''MySQL''
  CREATE TABLE `docs_invoice` (
    `id` int(11) NOT NULL auto_increment,
    `date` date NOT NULL default '0000-00-00',
    `customer` varchar(200) NOT NULL default '',
    `phone` varchar(16) NOT NULL default '0',
    `aid` smallint(6) unsigned NOT NULL default '0',
    `uid` int(11) unsigned NOT NULL default '0',
    `created` datetime NOT NULL default '0000-00-00 00:00:00',
    `invoice_id` int(10) unsigned NOT NULL default '0',
    `vat` double(5,2) unsigned NOT NULL default '0.00',
    `by_proxy_seria` varchar(40) NOT NULL default '',
    `by_proxy_person` varchar(15) NOT NULL default '',
    `by_proxy_date` date NOT NULL default '0000-00-00',
    PRIMARY KEY  (`id`)
  );
  CREATE TABLE `docs_invoice_orders` (
    `invoice_id` int(11) unsigned NOT NULL default '0',
    `orders` varchar(200) NOT NULL default '',
    `counts` int(10) unsigned NOT NULL default '0',
    `unit` tinyint(3) unsigned NOT NULL default '0',
    `price` double(10,2) unsigned NOT NULL default '0.00',
    KEY `invoice_id` (`invoice_id`)
  ); 

  * 11.12.2006 - Добавлена возможность изминения параметров или удаления пользователей из списка. \\
Включить в  / System configuration/ Administrators/ Permisions  -> Multiuser operation.
  * 11.12.2006 - Доработан модуль Cards.
 ''MySQL''
   ALTER TABLE cards_dillers add  percentage tinyint(3) unsigned NOT NULL default 0;
   ALTER TABLE cards_users add diller_date date NOT NULL default '0000-00-00';
   ALTER TABLE cards_users add sum double(10,2) unsigned NOT NULL default '0.00';
   ALTER TABLE cards_payments add diller_date date NOT NULL default '0000-00-00';

  * 27.11.2006 - Новый модуль [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:modules:paysys:ru|Paysys]] для получения платежей с разных платёжных систем. Реализирована поддержка [[http://www.webmoney.ru|Webmoney]] и [[http://www.rupay.ru|RUpay]] (ещё тестируется).
  * 27.11.2006 - Модуль Cisco переименован на Snmputils
  * 20.11.2006 - $conf{MAX_SESSION_TRAFFIC} перенесена в конфиг
  * 18.11.2006 - Добавлен контроль перебора паролей в веб интерфейсе Опция: $conf{wi_bruteforce}
 ''MySQL''

  CREATE TABLE `users_bruteforce` (
    `login` varchar(20) NOT NULL default '',
    `password` varchar(16) binary NOT NULL default '0',
    `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
    `ip` int(11) unsigned NOT NULL default '0',
    `auth_state` tinyint(1) unsigned NOT NULL default '0',
    KEY `login` (`login`)
  );

  * 06.11.2006 - Возможность создания своих темплейтов из веб интерфейса (/ System configuration/ MISC/ Template/).
  * 15.10.2006 - Модуль [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:modules:cisco:ru|Cisco]] для мониторинга оборудования Cisco Systems
  * 9.10.2006 - Номера компов для Club Monitor
 ''MySQL''\\
    ALTER TABLE ipn_club_comps add column number smallint(6) unsigned NOT NULL default '0';
    ALTER TABLE ipn_club_comps add UNIQUE KEY number (number);

  * Добавнлено виды отчислений: предоплата, по факту 
 ''MySQL''\\
    ALTER TABLE abon_tariffs add payment_type tinyint(1) unsigned NOT NULL default '0';


=====0.34=====
  * 21.09.2006 - FreeBSD ipfw table support
  * Добавлена ставка НДС.
 ''Изменения для базы''\\

    ALTER TABLE companies add column vat double(5,2) unsigned NOT NULL default '0.00';
    ALTER TABLE fees add column vat double(5,2) unsigned NOT NULL default '0.00';
    ALTER TABLE docs_acct add column vat double(5,2) unsigned NOT NULL default '0.00';

  * Сохранение настроек для веб интерфейса администратора в базе\\
 ''Изминения для базы''\\
  ALTER TABLE admins add column web_options text NOT NULL;

  * Добавлена возможность Callback\\
 ''Изминения для базы''\\
  ALTER TABLE dv_main add column callback tinyint(1) unsigned NOT NULL default '0';

  * Добавлены поля в форму информации о компании \\
 ''Изминения для базы''\\
  ALTER TABLE companies add column  address varchar(100) NOT NULL default '';
  ALTER TABLE companies add column phone varchar(20) NOT NULL default '';

  * Добавлен модуль [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:msgs:ru|Msgs]]
  * Доработан модуль [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:docs:ru|Docs]]
  * В модуль карточек добавлена информация о дилерах [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:cards:ru|Cards]]
  * Новый модуль [[http://abills.asmodeus.com.ua/wiki/doku.php?id=abills:docs:netlist:ru|Netlist]]



=====0.33=====
  * Поддержка rlm_perl (пока тестово)
  * Поддержка PPPD IPv4 zone counters
  * Подправлен XML вывод
  * Исправлено несколько серёзных ошибок безопасности

=====0.32=====
  * Авторизаци 802.1х (EAP)
  * Занесение в лог неавторизированых сесий для MSCHAP и EAP
  * Ipnet - модуль подщёта трафика на маршрутизаторе.
  * Clubmonitor - Дополнение к Ipnet для раздачи интернета в клубе и генерации карт пользования (Возможно использовать для небольшых HotSpot).
  * Графики для статистики
  

=====0.31=====
  * Added Mikrotik as Standart NAS Server
  * $conf{USERNAMEREGEXP} задания символов для логина пользователя
  * $conf{netsfilespath} изминён на $conf{DV_EXPPP_NETFILES}
  * fix disconnecting postpaid users in billd
  * $conf{ERROR_ALIVE_COUNT} количество непришедшых Alive пакетов после которого билинг автоматом переносит пользователя в таблицу Zap. Решает проблему зависших сесий. Время Alive пакета берётся из формы ''/System configuration/NAS/''.
  * Блокировка создания тарифных планов с ID < 1
  * Поправлена работа с Mysql 5.x
  * Добавлен модуль для генерации карт оплат (комерческий)

=====0.30=====
